package com.correx.core.events.events

import kotlinx.serialization.Serializable

@Serializable
data class NewEvent(
    val metadata: EventMetadata,
    val payload: EventPayload
)

@Serializable
data class StoredEvent(
    val metadata: EventMetadata,
    val sequence: Long,
    val sessionSequence: Long,
    val payload: EventPayload
)
